/**
*** SIMPLE GRID
*** (C) ZACH COLE 2016
**/

@import url(https://fonts.googleapis.com/css?family=Lato:400,300,300italic,400italic,700,700italic);

/* UNIVERSAL */

html,
body {
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
  left: 0;
  top: 0;
  font-size: 100%;
}

/* ROOT FONT STYLES */

* {
  font-family: 'Lato', Helvetica, sans-serif;
  color: #333447;
  line-height: 1.5;
}

/* TYPOGRAPHY */

h1 {
  font-size: 2.5rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.375rem;
}

h4 {
  font-size: 1.125rem;
}

h5 {
  font-size: 1rem;
}

h6 {
  font-size: 0.875rem;
}

p {
  font-size: 1.125rem;
  font-weight: 200;
  line-height: 1.8;
}

.font-light {
  font-weight: 300;
}

.font-regular {
  font-weight: 400;
}

.font-heavy {
  font-weight: 700;
}

/* POSITIONING */

.left {
  text-align: left;
}

.right {
  text-align: right;
}

.center {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.justify {
  text-align: justify;
}

/* ==== GRID SYSTEM ==== */

.container {
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}

.row {
  position: relative;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.row [class^="col"] {
  box-sizing: border-box;
  flex: 0 0 auto;
  margin: 0.5rem 2%;
  min-height: 0.125rem;
}

.col-1,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-10,
.col-11,
.col-12 {
  width: 96%;
}

.col-1-sm {
  width: 4.33%;
}

.col-2-sm {
  width: 12.66%;
}

.col-3-sm {
  width: 21%;
}

.col-4-sm {
  width: 29.33%;
}

.col-5-sm {
  width: 37.66%;
}

.col-6-sm {
  width: 46%;
}

.col-7-sm {
  width: 54.33%;
}

.col-8-sm {
  width: 62.66%;
}

.col-9-sm {
  width: 71%;
}

.col-10-sm {
  width: 79.33%;
}

.col-11-sm {
  width: 87.66%;
}

.col-12-sm {
  width: 96%;
}

.col-xs-1 {
  width: 4.33%;
}

.col-xs-2 {
  width: 12.66%;
}

.col-xs-3 {
  width: 21%;
}

.col-xs-4 {
  width: 29.33%;
}

.col-xs-5 {
  width: 37.66%;
}

.col-xs-6 {
  width: 46%;
}

.col-xs-7 {
  width: 54.33%;
}

.col-xs-8 {
  width: 62.66%;
}

.col-xs-9 {
  width: 71%;
}

.col-xs-10 {
  width: 79.33%;
}

.col-xs-11 {
  width: 87.66%;
}

.col-xs-12 {
  width: 96%;
}

.offset-xs-0 {
  margin-left: 2%;
}

.offset-xs-1 {
  margin-left: 10.33%;
}

.offset-xs-2 {
  margin-left: 18.66%;
}

.offset-xs-3 {
  margin-left: 27%;
}

.offset-xs-4 {
  margin-left: 35.33%;
}

.offset-xs-5 {
  margin-left: 43.66%;
}

.offset-xs-6 {
  margin-left: 52%;
}

.offset-xs-7 {
  margin-left: 60.33%;
}

.offset-xs-8 {
  margin-left: 68.66%;
}

.offset-xs-9 {
  margin-left: 77%;
}

.offset-xs-10 {
  margin-left: 85.33%;
}

.offset-xs-11 {
  margin-left: 93.66%;
}

.col-sm-1,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-md-1,
.col-md-2,
.col-md-3,
.col-md-4,
.col-md-5,
.col-md-6,
.col-md-7,
.col-md-8,
.col-md-9,
.col-md-10,
.col-md-11,
.col-md-12,
.col-lg-1,
.col-lg-2,
.col-lg-3,
.col-lg-4,
.col-lg-5,
.col-lg-6,
.col-lg-7,
.col-lg-8,
.col-lg-9,
.col-lg-10,
.col-lg-11,
.col-lg-12,
.col-xl-1,
.col-xl-2,
.col-xl-3,
.col-xl-4,
.col-xl-5,
.col-xl-6,
.col-xl-7,
.col-xl-8,
.col-xl-9,
.col-xl-10,
.col-xl-11,
.col-xl-12 {
  width: 96%;
}

.hidden-sm {
  display: none;
}

@media only screen and (min-width: 33.75em) {  /* 540px */
  .container {
    width: 80%;
  }
}

@media only screen and (min-width: 45em) {  /* 720px */
  .col-1 {
    width: 4.33%;
  }

  .col-2 {
    width: 12.66%;
  }

  .col-3 {
    width: 21%;
  }

  .col-4 {
    width: 29.33%;
  }

  .col-5 {
    width: 37.66%;
  }

  .col-6 {
    width: 46%;
  }

  .col-7 {
    width: 54.33%;
  }

  .col-8 {
    width: 62.66%;
  }

  .col-9 {
    width: 71%;
  }

  .col-10 {
    width: 79.33%;
  }

  .col-11 {
    width: 87.66%;
  }

  .col-12 {
    width: 96%;
  }

  .hidden-sm {
    display: block;
  }
}

@media only screen and (min-width: 36em) {  /* 576px */
  .col-sm-1 {
    width: 4.33%;
  }

  .col-sm-2 {
    width: 12.66%;
  }

  .col-sm-3 {
    width: 21%;
  }

  .col-sm-4 {
    width: 29.33%;
  }

  .col-sm-5 {
    width: 37.66%;
  }

  .col-sm-6 {
    width: 46%;
  }

  .col-sm-7 {
    width: 54.33%;
  }

  .col-sm-8 {
    width: 62.66%;
  }

  .col-sm-9 {
    width: 71%;
  }

  .col-sm-10 {
    width: 79.33%;
  }

  .col-sm-11 {
    width: 87.66%;
  }

  .col-sm-12 {
    width: 96%;
  }

  .offset-sm-0 {
    margin-left: 2%;
  }

  .offset-sm-1 {
    margin-left: 10.33%;
  }

  .offset-sm-2 {
    margin-left: 18.66%;
  }

  .offset-sm-3 {
    margin-left: 27%;
  }

  .offset-sm-4 {
    margin-left: 35.33%;
  }

  .offset-sm-5 {
    margin-left: 43.66%;
  }

  .offset-sm-6 {
    margin-left: 52%;
  }

  .offset-sm-7 {
    margin-left: 60.33%;
  }

  .offset-sm-8 {
    margin-left: 68.66%;
  }

  .offset-sm-9 {
    margin-left: 77%;
  }

  .offset-sm-10 {
    margin-left: 85.33%;
  }

  .offset-sm-11 {
    margin-left: 93.66%;
  }
}

@media only screen and (min-width: 48em) {  /* 768px */
  .col-md-1 {
    width: 4.33%;
  }

  .col-md-2 {
    width: 12.66%;
  }

  .col-md-3 {
    width: 21%;
  }

  .col-md-4 {
    width: 29.33%;
  }

  .col-md-5 {
    width: 37.66%;
  }

  .col-md-6 {
    width: 46%;
  }

  .col-md-7 {
    width: 54.33%;
  }

  .col-md-8 {
    width: 62.66%;
  }

  .col-md-9 {
    width: 71%;
  }

  .col-md-10 {
    width: 79.33%;
  }

  .col-md-11 {
    width: 87.66%;
  }

  .col-md-12 {
    width: 96%;
  }

  .offset-md-0 {
    margin-left: 2%;
  }

  .offset-md-1 {
    margin-left: 10.33%;
  }

  .offset-md-2 {
    margin-left: 18.66%;
  }

  .offset-md-3 {
    margin-left: 27%;
  }

  .offset-md-4 {
    margin-left: 35.33%;
  }

  .offset-md-5 {
    margin-left: 43.66%;
  }

  .offset-md-6 {
    margin-left: 52%;
  }

  .offset-md-7 {
    margin-left: 60.33%;
  }

  .offset-md-8 {
    margin-left: 68.66%;
  }

  .offset-md-9 {
    margin-left: 77%;
  }

  .offset-md-10 {
    margin-left: 85.33%;
  }

  .offset-md-11 {
    margin-left: 93.66%;
  }
}

@media only screen and (min-width: 62em) {  /* 992px */
  .col-lg-1 {
    width: 4.33%;
  }

  .col-lg-2 {
    width: 12.66%;
  }

  .col-lg-3 {
    width: 21%;
  }

  .col-lg-4 {
    width: 29.33%;
  }

  .col-lg-5 {
    width: 37.66%;
  }

  .col-lg-6 {
    width: 46%;
  }

  .col-lg-7 {
    width: 54.33%;
  }

  .col-lg-8 {
    width: 62.66%;
  }

  .col-lg-9 {
    width: 71%;
  }

  .col-lg-10 {
    width: 79.33%;
  }

  .col-lg-11 {
    width: 87.66%;
  }

  .col-lg-12 {
    width: 96%;
  }

  .offset-lg-0 {
    margin-left: 2%;
  }

  .offset-lg-1 {
    margin-left: 10.33%;
  }

  .offset-lg-2 {
    margin-left: 18.66%;
  }

  .offset-lg-3 {
    margin-left: 27%;
  }

  .offset-lg-4 {
    margin-left: 35.33%;
  }

  .offset-lg-5 {
    margin-left: 43.66%;
  }

  .offset-lg-6 {
    margin-left: 52%;
  }

  .offset-lg-7 {
    margin-left: 60.33%;
  }

  .offset-lg-8 {
    margin-left: 68.66%;
  }

  .offset-lg-9 {
    margin-left: 77%;
  }

  .offset-lg-10 {
    margin-left: 85.33%;
  }

  .offset-lg-11 {
    margin-left: 93.66%;
  }
}

@media only screen and (min-width: 75em) {  /* 1200px */
  .col-xl-1 {
    width: 4.33%;
  }

  .col-xl-2 {
    width: 12.66%;
  }

  .col-xl-3 {
    width: 21%;
  }

  .col-xl-4 {
    width: 29.33%;
  }

  .col-xl-5 {
    width: 37.66%;
  }

  .col-xl-6 {
    width: 46%;
  }

  .col-xl-7 {
    width: 54.33%;
  }

  .col-xl-8 {
    width: 62.66%;
  }

  .col-xl-9 {
    width: 71%;
  }

  .col-xl-10 {
    width: 79.33%;
  }

  .col-xl-11 {
    width: 87.66%;
  }

  .col-xl-12 {
    width: 96%;
  }

  .offset-xl-0 {
    margin-left: 2%;
  }

  .offset-xl-1 {
    margin-left: 10.33%;
  }

  .offset-xl-2 {
    margin-left: 18.66%;
  }

  .offset-xl-3 {
    margin-left: 27%;
  }

  .offset-xl-4 {
    margin-left: 35.33%;
  }

  .offset-xl-5 {
    margin-left: 43.66%;
  }

  .offset-xl-6 {
    margin-left: 52%;
  }

  .offset-xl-7 {
    margin-left: 60.33%;
  }

  .offset-xl-8 {
    margin-left: 68.66%;
  }

  .offset-xl-9 {
    margin-left: 77%;
  }

  .offset-xl-10 {
    margin-left: 85.33%;
  }

  .offset-xl-11 {
    margin-left: 93.66%;
  }
}

@media only screen and (min-width: 60em) { /* 960px */
  .container {
    width: 75%;
    max-width: 60rem;
  }
}
